int userdb_init(char *path);
int userdb_exists(char *user);
int userdb_check(char *user, char *pass, Pair **info);
int userdb_set(char *user, char *pass, Pair *info);
int userdb_delete(char *user);
int userdb_scan(int (*callback)(void *base, char *user, char *pass, Pair *info), void *base, char *match, int max);
char *userdb_file_read(char *user, char *file, char *reason) ;
int userdb_file_write(char *user, char *file, char *extra, char *reason);
char *userdb_path(char *user, char *file, char *tmp);
int userdb_set_encrypt(char *fields);
int userdb_count(void);
